Subject: Re: Connection refused visiting gutenberg.org
From: Greg Newby <[email-masked]>
To: Mauro Scomparin <[email-masked]>
Date: Tue, 23 Mar 2021 13:26:45 -0700

Thank you very much for these additional investigations. Since you are getting the right IP address, this is not the same DNS hijacking we heard about earlier.

On that earlier situation, people trying to visit www.gutenberg.org were redirected to a page by Italian legal authorities. We've never had any official communication about this situation, and as mentioned have no personnel, activity or presence in Italy.

The new situation seems to be more of a routing issue, than DNS, with your traffic being routed to a black hole. It's unfortunate, because as you experienced it makes it look like Project Gutenberg is offline.

If you uncover anything additional, please let us know. Meanwhile, it sounds like you are already familiar with methods such as tor or VPNs or proxy servers, which may be helpful.

Sorry for the difficulty, and that there is nothing for Project Gutenberg to do about it.

Best,
  Greg Newby

On Tue, Mar 23, 2021 at 05:51:15PM +0000, Mauro Scomparin wrote:
> Hello,
> 
> I've tried with another connection and have had no problems viewing the site.
> 
> It's not a sporadic case, it looks like it's a systemic issue.
> 
> I have looked around for tools and diagnosed the problem a bit more.
> 
> Both from my phone and my landline connection the traceroute to the domain name goes nowhere.
> The phone is rerouted too many times to somewhere and it errors for hopping around too much.
> The landline just redirects to localhost and closes immediately.
> 
> Nslookup returns the correct IP both for v4 and v6.
> 
> It looks like the DNS is being poisoned somehow from both ISPs (they are 2 different ones) on my home and phone connection.
> 
> Looking around I've found out that there was an injunction to ISPs to block project Gutenberg between actually fishy sites, after all investigation for copyright infringement from the beginning of 2020. So it looks like you were exactly right about hijacking.
> 
> The wierd thing it's that usually there's a notice from authorities saying a site is blocked and why, with Gutenberg it looks like it's just a bad connection.
> 
> It's really bad when who decide for others it's ignorant about what's actually going on, and, sadly stuff like this is too common where I live lately...
> 
> I guess it's just another reason to use tor.
> 
> Thank you very much for being so helpful and patient about this issue.
> 
> Mauro Scomparin
> 
> -------- Messaggio originale --------
> On 23 mar 2021, 16:00, Greg Newby < [email-masked]> ha scritto:
> Hi, Mauro. I saw your note in github.
> We did have some brief outages with [www.gutenberg.org](<a href=)">https://www.gutenberg.org,">[www.gutenberg.org](https://<a href=)">https://www.gutenberg.org, but they were sporadic. If you are still unable to connect, then something else is going on.
> Let's start with confirming that this applies to http and https, with different browsers, and that you are getting a correct IP address.
> To accomplish this, please try to visit [www.gutenberg.org](http://<a href=)">http://www.gutenberg.org and [www.gutenberg.org](https://<a href=)">https://www.gutenberg.org
> Try with at least two browsers.
> Do you have alternate Internet connections (i.e., mobile v. home v. work) to try? Please do, if so.
> Finally, let's make sure you are getting to the right IP address. Try a command like 'nslookup [www.gutenberg.org](http://<a href=)'">www.gutenberg.org' to confirm you are getting 152.19.134.47 or 2610:28:3090:3000:0:bad:cafe:47 (or similar - we have a couple of addresses). If you are getting an IPv6 address, we can try using IPv4, such as:
> ping -4 www.gutenberg.org
> If all of this looks good, we'll try to additional diagnostics to see where the interruption is occurring.
> These are a lot of diagnostics, and you might figure things out with just a few of them. Since you posted your original inquiry on github, I am assuming you have some technical knowledge (or can find instructions) for what's above. Write back if you are stuck.
> Because you are in Italy, my first guess (if the trouble persists) is the DNS hijacking we have already heard about. If this is happening, you will get an incorrect IP address, and commands like traceroute will go elsewhere.
> I do hope this helps, and appreciate you getting in touch.
> Best regards,
> Greg Newby
> On Tue, Mar 23, 2021 at 02:02:20AM +0000, Mauro Scomparin wrote:
> > Hi, I've previously posted on gitHub here:
> > https://github.com/gbnewby/gutenbergsite/issues/9.
> >
> > I was asking about problems connecting to [www.gutenberg.org](https://<a href=)">https://www.gutenberg.org/ and I was told to use this email. Sorry for asking there directly.
> >
> > I'm able to connect to the site with a proxy and with tor but using my landline ADSL and mobile data I'm just getting a connection refused error, no messages from law enforcement for bloking the IP or similar stuff.
> >
> > Mauro Scomparin